﻿using Hotline.FlowEngine.Workflows;
using Hotline.Orders;
using Hotline.Share.Enums.Order;
using Hotline.Share.Enums.Settings;
using Hotline.Users;
using XF.Domain.Dependency;
using XF.Domain.Entities;
using XF.Domain.Exceptions;

namespace Hotline.Application.Orders;

public class OrderApplication : IOrderApplication, IScopeDependency
{
    private readonly IWorkflowDomainService _workflowDomainService;
    private readonly IOrderRepository _orderRepository;

    public OrderApplication(
        IWorkflowDomainService workflowDomainService,
        IOrderRepository orderRepository
        )
    {
        _workflowDomainService = workflowDomainService;
        _orderRepository = orderRepository;
    }

    /// <summary>
    /// 更新工单办理期满时间
    /// 1.更新工单 2.更新流程 3.推送省平台
    /// </summary>
    /// <returns></returns>
    public async Task UpdateOrderHandleExpiredTimeAsync(Order order, ETimeType timeType, int timeCount, bool publishToProvince = true)
    {
        throw new NotImplementedException();
    }
}